<?

 /*************************************************************************************
 * Filename: calendar.php
 *
 * This file is part of the Calendar JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Calendar JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/calendar/
 *************************************************************************************/


 require_once($_path["include"]."data.php");

 class Plugin_calendar extends Base_Plugin
 {
  function main()
  {
   if(!$this->config)
    return false;

   return true;
  }

  function output()
  {
   global $_path;

   require_once($this->plugin->path["root"]."timeline.php");

   $d=Data::cache("calendar_timelineEntries", "view", "list");
   $d->setValue("catnr", $this->config["listcatnr"]);

   if(!$d->get())
    return $d->e->show();
   
   $tl=new Timeline($d->field["start"]["format"][$d->dataformat]["datetimeformat"]);

   while($d->next())
    $tl->event($d->v["section"], $d->v["title"], $d->v["start"], $d->v["end"], $d->v["text"], $d->v["class"]);

   $output=$tl->style();
   $output.=$tl->render(false, false, $this->config["interval"], $this->config["intervalHeader"], strtolower($this->config["style"]), $this->config["dateformat"]);

   return $output;
  }
 }

?>
